Bug 495668 - rpm test suite fails twice: [ 44: rpmbuild.at:112 rpmbuild -tb ] and [ 64: rpmmacro.at:36 uncompress macro]
rpm test suite fails twice: [ 44: rpmbuild.at:112 rpmbuild -tb ] and [ 64:...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 06:39 EDT by Michal Nowak
Modified: 2013-03-07 21:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-14 06:53:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpmtests.log (218.79 KB, text/plain)
2009-04-14 06:44 EDT, Michal Nowak
no flags Details

  None (edit)
Description Michal Nowak 2009-04-14 06:39:05 EDT
Description of problem:

## ------------- ##
## Test results. ##
## ------------- ##

ERROR: All 71 tests were run,
2 failed unexpectedly.

## ------------------------ ##
## Summary of the failures. ##
## ------------------------ ##
Failed tests:
rpm 4.7.0-beta1 test suite test groups:

 NUM: FILE-NAME:LINE     TEST-GROUP-NAME
      KEYWORDS

  44: rpmbuild.at:112    rpmbuild -tb
      build
  64: rpmmacro.at:36     uncompress macro
      macros

## ---------------------- ##
## Detailed failed tests. ##
## ---------------------- ##

#                             -*- compilation -*-
44. rpmbuild.at:112: testing ...
./rpmbuild.at:114:
rm -rf ${TOPDIR}

run rpmbuild \
  -ta "${RPMDATA}/SOURCES/hello-2.0.tar.gz"

Not enabling shell tracing (command contains a ${...} parameter expansion)
stderr:
error: File /home/newman/rpmbuild/BUILD/rpm-4.7.0-beta1/tests/data//SOURCES/hello-2.0.tar.gz: No such file or directory
/bin/cat: /home/newman/rpmbuild/BUILD/rpm-4.7.0-beta1/tests/data//SOURCES/hello-2.0.tar.gz: No such file or directory
error: File /home/newman/rpmbuild/BUILD/rpm-4.7.0-beta1/tests/data//SOURCES/hello-2.0.tar.gz: No such file or directory
/bin/cat: /home/newman/rpmbuild/BUILD/rpm-4.7.0-beta1/tests/data//SOURCES/hello-2.0.tar.gz: No such file or directory
error: Failed to read spec file from /home/newman/rpmbuild/BUILD/rpm-4.7.0-beta1/tests/data//SOURCES/hello-2.0.tar.gz
stdout:
./rpmbuild.at:114: exit code was 1, expected 0
44. rpmbuild.at:112: 44. rpmbuild -tb (rpmbuild.at:112): FAILED (rpmbuild.at:114)

#                             -*- compilation -*-
64. rpmmacro.at:36: testing ...
./rpmmacro.at:38:
(cd ${RPMDATA}/SOURCES/ &&
  run rpm \
    --define "__gzip /my/bin/gzip" \
    --eval "%{uncompress:hello-2.0.tar.gz}"
)

Not enabling shell tracing (command contains a ${...} parameter expansion)
--- /dev/null	2009-04-08 14:02:27.935124884 +0200
+++ /home/newman/rpmbuild/BUILD/rpm-4.7.0-beta1/tests/rpmtests.dir/at-groups/64/stderr	2009-04-09 14:03:00.000000000 +0200
@@ -0,0 +1 @@
+error: File hello-2.0.tar.gz: No such file or directory
--- -	2009-04-09 14:03:00.665354754 +0200
+++ /home/newman/rpmbuild/BUILD/rpm-4.7.0-beta1/tests/rpmtests.dir/at-groups/64/stdout	2009-04-09 14:03:00.000000000 +0200
@@ -1,2 +1,2 @@
-/my/bin/gzip -dc hello-2.0.tar.gz
+/bin/cat hello-2.0.tar.gz
 
64. rpmmacro.at:36: 64. uncompress macro (rpmmacro.at:36): FAILED (rpmmacro.at:38)



Version-Release number of selected component (if applicable):

rpm-4.7.0-0.rc1.1.fc11.x86_64
Linux dhcp-lab-124.englab.brq.redhat.com 2.6.29.1-68.fc11.x86_64 #1 SMP Sat Apr 11 02:20:46 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:

always

Steps to Reproduce:
1. rpmbuild -ba rpm.spec

Actual results:

two failed test

Expected results:

zero failed test
Comment 1 Michal Nowak 2009-04-14 06:44:43 EDT
Created attachment 339458 [details]
rpmtests.log
Comment 2 Panu Matilainen 2009-04-14 06:53:51 EDT
The beta1 tarball missed one test-material file causing these two failures. Already fixed in rpm-4.7.0-rc1 (upstream + rawhide)

Note You need to log in before you can comment on or make changes to this bug.